
import greenfoot.*;  
  
public class box extends Actor  
{  
    private int ySpeed;  
    private int apexTimer;  
    private boolean startup = true;
    
    public void act()  
    {  
        if(startup == true)
        {
            setImage(new GreenfootImage("box.png"));
            startup = false;
        }
        int groundLevel = 290;  
        boolean onGround = (getY() == groundLevel);  
        if (!onGround)                                      // in middle of jump  
        {  
            if (ySpeed == 0 && apexTimer > 0) apexTimer--;  // run apex timer  
            if (ySpeed == 0 && apexTimer > 0) return;       // apex timer still running  
            ySpeed++;                                    // adds gravity effect  
            setLocation(getX(), getY()+ySpeed);         // fall (rising slower or falling faster)  
            turn(4);
            if (getY()>=groundLevel)                    // has landed (reached ground level)  
            {  
                setLocation(getX(), groundLevel);       // set on ground  
                Greenfoot.getKey();                     // clears any key pressed during jump  
           }  
        }  
        else                                            // on ground  
        {  
            setRotation(90);
            if (Greenfoot.isKeyDown("up")||Greenfoot.isKeyDown("space")) // jump key detected  
            {  
                ySpeed = -11;                           // add jump speed  
                setLocation(getX(), getY()+ySpeed);     // leave ground  
                apexTimer = 0;                          // set apex timer (adjust value to suit)  
            }  
        }  
        //Jump code from Danpost.
        Actor box = getOneIntersectingObject(accelerator.class);
        if(box != null)
        {
            setImage(new GreenfootImage("boxgreen.png"));
        }
        box = getOneIntersectingObject(greversal.class);
        if(box != null)
        {
            boxg boxg = new boxg();
            getWorld().addObject(boxg, getX(),getY());
            getWorld().removeObject(this);
        }
    }  
}
